Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.impl.xs.psvi
Interface XSElementDeclaration

All Superinterfaces:
  XSObject, XSTerm

All Known Implementing Classes:
  XSElementDecl

Deprecated. The interface may be updated or replaced.

public interface XSElementDeclaration
extends XSTerm

The interfaces represents the Element Declaration schema component.

Method Summary
`boolean` | `getAbstract()` Deprecated. {abstract} A boolean.
`XSAnnotation` | `getAnnotation()` Deprecated. Optional.
`short` | `getConstraintType()` Deprecated. [Value constraint]: one of `VC_NONE, VC_DEFAULT, VC_FIXED`.
`java.lang.String` | `getConstraintValue()` Deprecated. [Value constraint]: the actual value with respect to the [type definition].
`short` | `getDisallowedSubstitutions()` Deprecated. [disallowed substitutions]: the returned value is a bit combination of the subset of { `DERIVATION_SUBSTITUTION, DERIVATION_EXTENSION, DERIVATION_RESTRICTION` } corresponding to substitutions disallowed by this `XSElementDeclaration` or `DERIVATION_NONE`.
`XSComplexTypeDefinition` | `getEnclosingCTDefinition()` Deprecated. The complex type definition for locally scoped declarations (see `scope`).
`XSNamedMap` | `getIdentityConstraints()` Deprecated. identity-constraint definitions: a set of constraint definitions.
`boolean` | `getNillable()` Deprecated. If nillable is true, then an element may also be valid if it carries the namespace qualified attribute with local name `nil` from namespace `http://www.w3.org/2001/XMLSchema-instance` and value `true` (xsi:nil) even if it has no text or element content despite a `content type` which would otherwise require content.
`short` | `getScope()` Deprecated. Optional.
`XSElementDeclaration` | `getSubstitutionGroupAffiliation()` Deprecated. [substitution group affiliation]: optional.
`short` | `getSubstitutionGroupExclusions()` Deprecated. [substitution group exclusions]: the returned value is a bit combination of the subset of { `DERIVATION_EXTENSION, DERIVATION_RESTRICTION`} or `DERIVATION_NONE`.
`XSTypeDefinition` | `getTypeDefinition()` Deprecated. [type definition]: either a simple type definition or a complex type definition.
`boolean` | `isDisallowedSubstitution(short disallowed)` Deprecated. Convenience method.
`boolean` | `isSubstitutionGroupExclusion(short exclusion)` Deprecated. Convenience method.

Methods inherited from interface org.apache.xerces.impl.xs.psvi.XSObject
`getName, getNamespace, getNamespaceItem, getType`

Method Detail

### getTypeDefinition

    public XSTypeDefinition getTypeDefinition()

  Deprecated.
  [type definition]: either a simple type definition or a complex type definition.

### getScope

    public short getScope()

  Deprecated.
  Optional. One of `SCOPE_GLOBAL`, `SCOPE_LOCAL`, or `SCOPE_ABSENT`. If the scope is local, then the `enclosingCTDefinition` is present.

### getEnclosingCTDefinition

    public XSComplexTypeDefinition getEnclosingCTDefinition()

  Deprecated.
  The complex type definition for locally scoped declarations (see `scope`).

### getConstraintType

    public short getConstraintType()

  Deprecated.
  [Value constraint]: one of `VC_NONE, VC_DEFAULT, VC_FIXED`.

### getConstraintValue

    public java.lang.String getConstraintValue()

  Deprecated.
  [Value constraint]: the actual value with respect to the [type definition].

### getNillable

    public boolean getNillable()

  Deprecated.
  If nillable is true, then an element may also be valid if it carries the namespace qualified attribute with local name `nil` from namespace `http://www.w3.org/2001/XMLSchema-instance` and value `true` (xsi:nil) even if it has no text or element content despite a `content type` which would otherwise require content.

### getIdentityConstraints

    public XSNamedMap getIdentityConstraints()

  Deprecated.
  identity-constraint definitions: a set of constraint definitions.

### getSubstitutionGroupAffiliation

    public XSElementDeclaration getSubstitutionGroupAffiliation()

  Deprecated.
  [substitution group affiliation]: optional. A top-level element definition.

### isSubstitutionGroupExclusion

    public boolean isSubstitutionGroupExclusion(short exclusion)

  Deprecated.
  Convenience method. Check if `exclusion` is a substitution group exclusion for this element declaration.
  Parameters:
    `exclusion` - `DERIVATION_EXTENSION, DERIVATION_RESTRICTION` or `DERIVATION_NONE`. Represents final set for the element.
  Returns:
    True if `exclusion` is a part of the substitution group exclusion subset.

### getSubstitutionGroupExclusions

    public short getSubstitutionGroupExclusions()

  Deprecated.
  [substitution group exclusions]: the returned value is a bit combination of the subset of { `DERIVATION_EXTENSION, DERIVATION_RESTRICTION`} or `DERIVATION_NONE`.

### isDisallowedSubstitution

    public boolean isDisallowedSubstitution(short disallowed)

  Deprecated.
  Convenience method. Check if `disallowed` is a disallowed substitution for this element declaration.
  Parameters:
    `disallowed` - { `DERIVATION_SUBSTITUTION, DERIVATION_EXTENSION, DERIVATION_RESTRICTION` } or `DERIVATION_NONE`. Represents a block set for the element.
  Returns:
    True if `disallowed` is a part of the substitution group exclusion subset.

### getDisallowedSubstitutions

    public short getDisallowedSubstitutions()

  Deprecated.
  [disallowed substitutions]: the returned value is a bit combination of the subset of { `DERIVATION_SUBSTITUTION, DERIVATION_EXTENSION, DERIVATION_RESTRICTION` } corresponding to substitutions disallowed by this `XSElementDeclaration` or `DERIVATION_NONE`.

### getAbstract

    public boolean getAbstract()

  Deprecated.
  {abstract} A boolean.

### getAnnotation

    public XSAnnotation getAnnotation()

  Deprecated.
  Optional. Annotation.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2003 Apache XML Project. All Rights Reserved.